This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 176509 - yelp crashes on startup
yelp crashes on startup
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yelp (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-23 15:28 EST by Ignacio Vazquez-Abrams
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: yelp-2.14.3-1.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-23 15:00:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2005-12-23 15:28:43 EST
gdb trace:

[ignacio@ignacio ~]$ gdb yelp
GNU gdb Red Hat Linux (6.3.0.0-1.84rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".

(gdb) r
Starting program: /usr/bin/yelp
Reading symbols from shared object read from target memory...(no debugging
symbols found)...done.
Loaded system supplied DSO at 0xeda000
[Thread debugging using libthread_db enabled]
[New Thread -1208235552 (LWP 20514)]
I/O warning : failed to load external entity
"/home/ignacio/.gnome2/yelp-bookmarks.xbel"
[New Thread -1210336336 (LWP 20519)]

(yelp:20514): GLib-CRITICAL **: g_strrstr_len: assertion `haystack != NULL' failed

(yelp:20514): GLib-CRITICAL **: g_strrstr_len: assertion `haystack != NULL' failed

(yelp:20514): Gdk-WARNING **: gdk_property_get(): length value has wrapped in
calculation (did you pass G_MAXLONG?)
Detaching after fork from child process 20524.

Program received signal SIG33, Real-time event 33.
[Switching to Thread -1210336336 (LWP 20519)]
0x00eda402 in __kernel_vsyscall ()
(gdb) bt
#0  0x00eda402 in __kernel_vsyscall ()
#1  0x00d19db1 in *__GI___poll (fds=0xd80ff4, nfds=1, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:86
#2  0x00135d58 in PR_Poll (pds=0x9d8c8f4, npds=1, timeout=4294967295)
    at ptio.c:3902
#3  0x0101649a in nsSocketTransportService::Poll (this=0x9d8c5a0)
    at nsSocketTransportService2.cpp:325
#4  0x01016bde in nsSocketTransportService::Run (this=0x9d8c5a0)
    at nsSocketTransportService2.cpp:527
#5  0x0563b7c8 in nsThread::Main (arg=0x9d8cbb0) at nsThread.cpp:118
#6  0x00137409 in _pt_root (arg=0x9d8cc30) at ptthread.c:214
#7  0x00526c70 in start_thread (arg=0xb7dbbbb0) at pthread_create.c:261
#8  0x00d242be in ?? () from /lib/libc.so.6
(gdb) c
Continuing.

Program received signal SIG33, Real-time event 33.
0x00eda402 in __kernel_vsyscall ()
(gdb) bt
#0  0x00eda402 in __kernel_vsyscall ()
#1  0x00d19db1 in *__GI___poll (fds=0xd80ff4, nfds=1, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:86
#2  0x00135d58 in PR_Poll (pds=0x9d8c8f4, npds=1, timeout=4294967295)
    at ptio.c:3902
#3  0x0101649a in nsSocketTransportService::Poll (this=0x9d8c5a0)
    at nsSocketTransportService2.cpp:325
#4  0x01016bde in nsSocketTransportService::Run (this=0x9d8c5a0)
    at nsSocketTransportService2.cpp:527
#5  0x0563b7c8 in nsThread::Main (arg=0x9d8cbb0) at nsThread.cpp:118
#6  0x00137409 in _pt_root (arg=0x9d8cc30) at ptthread.c:214
#7  0x00526c70 in start_thread (arg=0xb7dbbbb0) at pthread_create.c:261
#8  0x00d242be in ?? () from /lib/libc.so.6
(gdb) c
Continuing.

Program received signal SIG33, Real-time event 33.
0x00eda402 in __kernel_vsyscall ()
(gdb) bt
#0  0x00eda402 in __kernel_vsyscall ()
#1  0x00d19db1 in *__GI___poll (fds=0xd80ff4, nfds=1, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:86
#2  0x00135d58 in PR_Poll (pds=0x9d8c8f4, npds=1, timeout=4294967295)
    at ptio.c:3902
#3  0x0101649a in nsSocketTransportService::Poll (this=0x9d8c5a0)
    at nsSocketTransportService2.cpp:325
#4  0x01016bde in nsSocketTransportService::Run (this=0x9d8c5a0)
    at nsSocketTransportService2.cpp:527
#5  0x0563b7c8 in nsThread::Main (arg=0x9d8cbb0) at nsThread.cpp:118
#6  0x00137409 in _pt_root (arg=0x9d8cc30) at ptthread.c:214
#7  0x00526c70 in start_thread (arg=0xb7dbbbb0) at pthread_create.c:261
#8  0x00d242be in ?? () from /lib/libc.so.6
(gdb) c
Continuing.

Program received signal SIG33, Real-time event 33.
0x00eda402 in __kernel_vsyscall ()
(gdb) bt
#0  0x00eda402 in __kernel_vsyscall ()
#1  0x00d19db1 in *__GI___poll (fds=0xd80ff4, nfds=1, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:86
#2  0x00135d58 in PR_Poll (pds=0x9d8c8f4, npds=1, timeout=4294967295)
    at ptio.c:3902
#3  0x0101649a in nsSocketTransportService::Poll (this=0x9d8c5a0)
    at nsSocketTransportService2.cpp:325
#4  0x01016bde in nsSocketTransportService::Run (this=0x9d8c5a0)
    at nsSocketTransportService2.cpp:527
#5  0x0563b7c8 in nsThread::Main (arg=0x9d8cbb0) at nsThread.cpp:118
#6  0x00137409 in _pt_root (arg=0x9d8cc30) at ptthread.c:214
#7  0x00526c70 in start_thread (arg=0xb7dbbbb0) at pthread_create.c:261
#8  0x00d242be in ?? () from /lib/libc.so.6
(gdb) c
Continuing.

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208235552 (LWP 20514)]
0x04fa2871 in xmlFreeProp () from /usr/lib/libxml2.so.2
(gdb) bt
#0  0x04fa2871 in xmlFreeProp () from /usr/lib/libxml2.so.2
#1  0x04fa298c in xmlFreePropList () from /usr/lib/libxml2.so.2
#2  0x04fa27e0 in xmlFreeNodeList () from /usr/lib/libxml2.so.2
#3  0x04fa27b6 in xmlFreeNodeList () from /usr/lib/libxml2.so.2
#4  0x04fa27b6 in xmlFreeNodeList () from /usr/lib/libxml2.so.2
#5  0x04fa2513 in xmlFreeDoc () from /usr/lib/libxml2.so.2
#6  0x0805919c in toc_pager_get_sections ()
#7  0x080588e4 in toc_pager_get_sections ()
#8  0x0055a730 in g_idle_dispatch (source=0x9ceb9a8,
    callback=0x80588c3 <toc_pager_get_sections+7>, user_data=0x9eebe48)
    at gmain.c:3813
#9  0x005584ce in IA__g_main_context_dispatch (context=0x9ca9cb0)
    at gmain.c:1934
#10 0x0055b4d6 in g_main_context_iterate (context=0x9ca9cb0, block=1,
    dispatch=1, self=0x9c8b2a8) at gmain.c:2565
#11 0x0055b7c3 in IA__g_main_loop_run (loop=0x9cc3398) at gmain.c:2769
#12 0x05390625 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#13 0x08060984 in main ()
(gdb) q
The program is running.  Exit anyway? (y or n) y
[ignacio@ignacio ~]$
Comment 1 Matthew Barnes 2006-08-23 15:00:25 EDT
Whatever was causing the segmentation fault in Fedora Core 4 seems to have been
fixed in Fedora Core 5.  I haven't seen yelp crash in FC5 or Rawhide, so I'm
going to close this bug.  Please feel free to re-open if you are still
experiencing this problem.

Note You need to log in before you can comment on or make changes to this bug.